Skip to main content
POST
/
twitter
/
tweets
/
{tweet_id}
/
like
Like a Tweet
curl --request POST \
  --url https://api.twexapi.io/twitter/tweets/{tweet_id}/like \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "proxy": "http://username:password@ip:port"
}
'
{
  "code": 200,
  "msg": "success",
  "data": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tweet_id
string
required

The numeric ID of the tweet to like.

Body

application/json

Body for the like action, containing only the cookie.

Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie

Example:

"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"

proxy
string | null

The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port [blocked] . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub

Example:

"http://username:password@ip:port"

Response

A confirmation of the action's success.

Tweet action response

code
integer
default:200

HTTP status code

msg
string
default:success

Response message

data
boolean
default:true

Success status